import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  LambdaClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../LambdaClient";
import { InvocationRequest, InvocationResponse } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface InvokeCommandInput extends InvocationRequest {}
export interface InvokeCommandOutput
  extends InvocationResponse,
    __MetadataBearer {}
export declare class InvokeCommand extends $Command<
  InvokeCommandInput,
  InvokeCommandOutput,
  LambdaClientResolvedConfig
> {
  readonly input: InvokeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: InvokeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: LambdaClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<InvokeCommandInput, InvokeCommandOutput>;
  private serialize;
  private deserialize;
}
