import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  LambdaClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../LambdaClient";
import {
  InvokeWithResponseStreamRequest,
  InvokeWithResponseStreamResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface InvokeWithResponseStreamCommandInput
  extends InvokeWithResponseStreamRequest {}
export interface InvokeWithResponseStreamCommandOutput
  extends InvokeWithResponseStreamResponse,
    __MetadataBearer {}
export declare class InvokeWithResponseStreamCommand extends $Command<
  InvokeWithResponseStreamCommandInput,
  InvokeWithResponseStreamCommandOutput,
  LambdaClientResolvedConfig
> {
  readonly input: InvokeWithResponseStreamCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: InvokeWithResponseStreamCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: LambdaClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    InvokeWithResponseStreamCommandInput,
    InvokeWithResponseStreamCommandOutput
  >;
  private serialize;
  private deserialize;
}
