"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeListQueryModel = exports.makeSubscriptionQueryFilterInput = exports.makeListQueryFilterInput = void 0;
const graphql_transformer_core_1 = require("@aws-amplify/graphql-transformer-core");
const common_1 = require("./common");
const makeListQueryFilterInput = (ctx, name, object) => {
    return (0, common_1.makeConditionFilterInput)(ctx, name, object).serialize();
};
exports.makeListQueryFilterInput = makeListQueryFilterInput;
const makeSubscriptionQueryFilterInput = (ctx, name, object) => {
    return (0, common_1.makeSubscriptionFilterInput)(ctx, name, object).serialize();
};
exports.makeSubscriptionQueryFilterInput = makeSubscriptionQueryFilterInput;
const makeListQueryModel = (type, modelName, isSyncEnabled) => {
    const outputType = graphql_transformer_core_1.ObjectDefinitionWrapper.create(modelName);
    outputType.addField(graphql_transformer_core_1.FieldWrapper.create('items', type.name.value, true, true));
    outputType.addField(graphql_transformer_core_1.FieldWrapper.create('nextToken', 'String', true, false));
    if (isSyncEnabled) {
        outputType.addField(graphql_transformer_core_1.FieldWrapper.create('startedAt', 'AWSTimestamp', true, false));
    }
    return outputType.serialize();
};
exports.makeListQueryModel = makeListQueryModel;
//# sourceMappingURL=query.js.map